org.appng.xml.platform

## Class Config

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.Config

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ApplicationConfig, DataConfig, PageConfig

      public class Config
      extends BaseObject
      implements Serializable

  A container for several configuration elements.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Label` | `description`
    `protected Labels` | `labels`
    `protected Permissions` | `permissions`
    `protected List<Template>` | `templates`
    `protected Textelements` | `textelements`
    `protected Label` | `title`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Config()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Label` | `getDescription()` Gets the value of the description property.
    `Labels` | `getLabels()` Gets the value of the labels property.
    `Permissions` | `getPermissions()` Gets the value of the permissions property.
    `List<Template>` | `getTemplates()` Gets the value of the templates property.
    `Textelements` | `getTextelements()` Gets the value of the textelements property.
    `Label` | `getTitle()` Gets the value of the title property.
    `void` | `setDescription(Label value)` Sets the value of the description property.
    `void` | `setLabels(Labels value)` Sets the value of the labels property.
    `void` | `setPermissions(Permissions value)` Sets the value of the permissions property.
    `void` | `setTextelements(Textelements value)` Sets the value of the textelements property.
    `void` | `setTitle(Label value)` Sets the value of the title property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### title

          protected Label title

    - #### description

          protected Label description

    - #### templates

          protected List<Template> templates

    - #### permissions

          protected Permissions permissions

    - #### labels

          protected Labels labels

    - #### textelements

          protected Textelements textelements

  - ### Constructor Detail

    - #### Config

          public Config()

  - ### Method Detail

    - #### getTitle

          public Label getTitle()

      Gets the value of the title property.
      Returns:
        possible object is `Label`

    - #### setTitle

          public void setTitle(Label value)

      Sets the value of the title property.
      Parameters:
        `value` - allowed object is `Label`

    - #### getDescription

          public Label getDescription()

      Gets the value of the description property.
      Returns:
        possible object is `Label`

    - #### setDescription

          public void setDescription(Label value)

      Sets the value of the description property.
      Parameters:
        `value` - allowed object is `Label`

    - #### getTemplates

          public List<Template> getTemplates()

      Gets the value of the templates property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the templates property.

      For example, to add a new item, do as follows:

              getTemplates().add(newItem);

      Objects of the following type(s) are allowed in the list `Template`

    - #### getPermissions

          public Permissions getPermissions()

      Gets the value of the permissions property.
      Returns:
        possible object is `Permissions`

    - #### setPermissions

          public void setPermissions(Permissions value)

      Sets the value of the permissions property.
      Parameters:
        `value` - allowed object is `Permissions`

    - #### getLabels

          public Labels getLabels()

      Gets the value of the labels property.
      Returns:
        possible object is `Labels`

    - #### setLabels

          public void setLabels(Labels value)

      Sets the value of the labels property.
      Parameters:
        `value` - allowed object is `Labels`

    - #### getTextelements

          public Textelements getTextelements()

      Gets the value of the textelements property.
      Returns:
        possible object is `Textelements`

    - #### setTextelements

          public void setTextelements(Textelements value)

      Sets the value of the textelements property.
      Parameters:
        `value` - allowed object is `Textelements`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.